﻿using System;
using System.Collections.Generic;
using System.Text;
using EntitlementClient.Auth;
using System.Net;
using System.Configuration;

namespace EntitlementClient
{
    class Program
    {
        static void Main(string[] args)
        {
            // ignoring SSL certification errors, mostly for self signed certs that
            // carbon products use.
            // DON'T USE THIS IN PRODUCTION.
            try
            {
                System.Net.ServicePointManager.ServerCertificateValidationCallback =
                    new System.Net.Security.RemoteCertificateValidationCallback(
                        delegate
                        { return true; }
                    );
            }
            catch (System.Exception e)
            {
            }

            AuthenticationAdmin admin = new AuthenticationAdmin();
            bool isLoggedIn = false;
            bool returnSpecified = false;
            admin.CookieContainer = new System.Net.CookieContainer();
            admin.login("admin", "admin", "WCF_ENT_CLIENT", out isLoggedIn, out returnSpecified);

            EntitlementService.EntitlementService entitlement = new EntitlementService.EntitlementService();
            entitlement.CookieContainer = new System.Net.CookieContainer();

            foreach (Cookie c in admin.CookieContainer.GetCookies(new Uri(admin.Url)))
            {

                entitlement.CookieContainer.Add(c);

            }
            string decision = entitlement.getDecisionByAttributes("prabath", null, "/services/Customers/getVersion2");

            Console.WriteLine(decision);

            decision = entitlement.getDecisionByAttributes("prabath", null, "/services/Customers/getEmployees");

            Console.WriteLine(decision);

            Console.Read();
        }
    }
}
